import { __awaiter } from "tslib";
/**
 * Call this function in your `AppComponent`'s `ngOnInit()`.
 */
export function handlePreview(client, repoName, linkResolver = doc => `/${doc.uid}`, defaultURL = '/', enabled = true) {
    var _a, _b;
    return __awaiter(this, void 0, void 0, function* () {
        if (!enabled) {
            return;
        }
        const toolbarScript = document.createElement('script');
        toolbarScript.setAttribute('async', 'async');
        toolbarScript.setAttribute('defer', 'defer');
        toolbarScript.setAttribute('src', `https://static.cdn.prismic.io/prismic.js?new=true&repo=${repoName}`);
        const body = document.getElementsByTagName('body').item(0);
        body === null || body === void 0 ? void 0 : body.appendChild(toolbarScript);
        const isManualRef = (((_b = (_a = client) === null || _a === void 0 ? void 0 : _a.refState) === null || _b === void 0 ? void 0 : _b.mode) || '').toLowerCase() === 'manual';
        if (isManualRef) {
            client.resolvePreviewURL({
                defaultURL,
                linkResolver
            }).then(url => {
                if (location.pathname !== url && url !== defaultURL) {
                    location.replace(url);
                }
            });
        }
    });
}
//# sourceMappingURL=preview.js.map