import { PipeTransform } from '@angular/core';
import { ImageField, RichTextField } from '@prismicio/types';
/**
 * This pipe is used to render a Prismic Image to HTML.
 *
 * @example
 * <ng-container [innerHTML]="doc.image | renderImage : 'my extra classes'"></ng-container>
 */
export declare class RenderImagePipe implements PipeTransform {
    /**
     * Renders an image object returned from Prismic to HTML.
     *
     * @param image image object returned from Prismic
     * @param imgTitle optional title for the image
     * @param imgClasses optional classes for the image
     * @param caption optional <figcaption>
     */
    transform(image: ImageField, imgTitle?: string, imgClasses?: string, caption?: RichTextField): string;
}
